package models

import (
	"brainminder.speedtech.it/internal/database"
)

func NewQuicknoteModel(db *database.DB) *QuicknoteModel {
	return &QuicknoteModel{BaseModel: &BaseModel{db}}
}

func NewItemModel(db *database.DB) *ItemModel {
	return &ItemModel{BaseModel: &BaseModel{db}}
}

func NewItemShareModel(db *database.DB) *ItemShareModel {
	return &ItemShareModel{BaseModel: &BaseModel{db}}
}
